Name:		multitail
Version:	7.1.5
Release:	%mkrel 1
Summary:	View one or multiple files like tail but with multiple windows
Group:		Text tools
License:	GPLv2
URL:		https://www.vanheusden.com/multitail
Source:		https://github.com/folkertvanheusden/multitail/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)

%description
MultiTail lets you view one or multiple files like the original tail
program. The difference is that it creates multiple windows on your
console (with ncurses). It can also monitor wildcards: if another file
matching the wildcard has a more recent modification date, it will
automatically switch to that file. That way you can, for example,
monitor a complete directory of files. Merging of 2 or even more
logfiles is possible.
It can also use colors while displaying the logfiles (through regular
expressions), for faster recognition of what is important and what not.
Multitail can also filter lines (again with regular expressions) and
has interactive menus for editing given regular expressions and
deleting and adding windows. One can also have windows with the output
of shell scripts and other software. When viewing the output of 
external software, MultiTail can mimic the functionality of tools like
'watch' and such.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
mkdir -p %{buildroot}%{_sysconfdir}
%cmake_install

# remove the examples (installed as docs)
rm -fr %{buildroot}%{_prefix}%{_sysconfdir}/%{name}/conversion-scripts/
mv -f %{buildroot}{%{_prefix}%{_sysconfdir},}

# move the configuration in the right place
mv -f %{buildroot}%{_sysconfdir}/%{name}.conf{.new,}

# remove docs in wrong place
rm -rf %{buildroot}%{_docdir}/

%files
%doc manual*.html LICENSE README.md conversion-scripts/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/%{name}/
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Nov 21 2024 daviddavid <daviddavid> 7.1.5-1.mga10
+ Revision: 2117993
- new version: 7.1.5
- new version: 7.1.3

* Tue Mar 12 2024 daviddavid <daviddavid> 7.1.2-1.mga10
+ Revision: 2049491
- new version: 7.1.2

* Fri Feb 03 2023 danf <danf> 7.0.0-1.mga9
+ Revision: 1937672
- Update to ver. 7.0.0
- Fix source URL

* Mon Mar 21 2022 umeabot <umeabot> 6.5.0-3.mga9
+ Revision: 1816631
- Mageia 9 Mass Rebuild

* Sat Mar 12 2022 danf <danf> 6.5.0-2.mga9
+ Revision: 1790500
- Add patch to fix gcc 12 "format not a string literal" errors

* Wed Aug 12 2020 sander85 <sander85> 6.5.0-1.mga8
+ Revision: 1613606
- New version: 6.5.0

* Thu Feb 13 2020 umeabot <umeabot> 6.4.2-4.mga8
+ Revision: 1515257
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 6.4.2-3.mga7
+ Revision: 1299647
- Mageia 7 Mass Rebuild

* Sat Sep 16 2017 cjw <cjw> 6.4.2-2.mga7
+ Revision: 1154850
- setup compile flags to fix debug packages

* Sat Jan 16 2016 sander85 <sander85> 6.4.2-1.mga6
+ Revision: 924705
- New version: 6.4.2

* Wed Oct 15 2014 umeabot <umeabot> 6.2.1-3.mga5
+ Revision: 745481
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.2.1-2.mga5
+ Revision: 682693
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 dams <dams> 6.2.1-1.mga5
+ Revision: 603136
- new version 6.2.1

* Thu Feb 06 2014 sander85 <sander85> 6.0-1.mga5
+ Revision: 584443
- New version: 6.0 (sync with Fedora)

* Sat Oct 19 2013 umeabot <umeabot> 5.2.13-2.mga4
+ Revision: 532103
- Mageia 4 Mass Rebuild

* Fri Aug 16 2013 sander85 <sander85> 5.2.13-1.mga4
+ Revision: 466958
- New version: 5.2.13 (synced with Fedora)

* Wed Jan 23 2013 sander85 <sander85> 5.2.12-1.mga3
+ Revision: 391504
- imported package multitail

